QToolTipGroup(3qt)

NAME
QToolTipGroup - Collects tool tips into natural groups

#include <qtooltip.h>

Inherits QObject.

  Public Members
QToolTipGroup ( QObject * parent, const char * name = 0 )
~QToolTipGroup ()
bool delay () const
bool enabled () const

  Public Slots
void setDelay ( bool )
void setEnabled ( bool )

  Signals
void showTip ( const QString & )
void removeTip ()

  Properties
Type | Name | READ | WRITE | Options
bool | delay | delay | setDelay
bool | enabled | enabled | setEnabled

DESCRIPTION
The QToolTipGroup class collects tool tips into natural groups.

Tool tips can display two texts, the one in the tip and optionally another one, typically in a status bar. QToolTipGroup provides a way to link tool tips to this status bar.

QToolTipGroup has practically no API, it is only used as an argument to QToolTip's member functions, for example like this:

    QToolTipGroup * g = new QToolTipGroup( this, "tool tip relay" );
    connect( g, SIGNAL(showTip(const QString&)),
             myLabel, SLOT(setText(const QString&)) );
    connect( g, SIGNAL(removeTip()),
             myLabel, SLOT(clear()) );
    QToolTip::add( giraffeButton, "feed giraffe",
                   g, "Give the giraffe a meal" );
    QToolTip::add( gorillaButton, "feed gorilla",
                   g, "Give the gorilla a meal" );

This example makes the object myLabel (which you have to supply) display (one assumes, though you can make myLabel do anything, of course) the strings "Give the giraffe a meal" and "Give the gorilla a meal" while the relevant tool tips are being displayed.

Deleting a tool tip group removes the tool tips in it.

MEMBER FUNCTION DOCUMENTATION

QToolTipGroup::QToolTipGroup ( QObject * parent, const char * name = 0 )
Constructs a tool tip group.

QToolTipGroup::~QToolTipGroup ()
Destroy this tool tip groups and all tool tips in it.

bool QToolTipGroup::delay () const
Returns TRUE if the group text is shown delayed (at the same time as the tip) and FALSE if it is shown immediately.

See also setDelay().

bool QToolTipGroup::enabled () const
Returns whether tooltips in the group are enabled.

See also setEnabled().

void QToolTipGroup::removeTip () [signal]
This signal is emitted when a tool tip in this group is hidden. See the QToolTipGroup documentation for an example of use.

See also showTip().

void QToolTipGroup::setDelay ( bool enable ) [slot]
Sets the group to show its text immediately if enable is FALSE, and delayed (at the same time as the tip text) if enable is TRUE. The default is TRUE.

See also delay().

void QToolTipGroup::setEnabled ( bool enable ) [slot]
Sets the group to be enabled (all tool tips in the group show when activated), or disabled (tool tips in the group are never shown).

See also QToolTip::setEnabled() and enabled().

void QToolTipGroup::showTip ( const QString & longText ) [signal]
This signal is emitted when one of the tool tips in the group is displayed. longText is the supplementary text for the displayed tool tip.

See also removeTip().

SEE ALSO
http://doc.trolltech.com/qtooltipgroup.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtooltipgroup.3qt) and the Qt version (2.3.7).